Name:           libax25
Version:        0.0.12.rc5
Release:        1%{?dist}
Summary:        AX.25 library for hamradio applications

License:        LGPLv2+
URL:            http://www.linux-ax25.org/
Source0:        http://www.linux-ax25.org/pub/%{name}/%{name}-0.0.12-rc5.tar.gz
BuildRequires:	gcc
BuildRequires:	zlib-devel

%description
libax25 is a library for ham radio applications that use the AX.25, NETROM
or ROSE protocols.  Included are routines to do ax25 address parsing, common
ax25 application config file parsing, etc.

%package        devel

Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	static
Summary:	Static library files for %{name}
Requires:       %{name}-static = %{version}-%{release}

%description	static
The %{name}-static package contains the libax25 and libax25io libraries
for static linking.  You only need these for static linking applications.

%prep

%setup -q -n %{name}-0.0.12-rc5

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT installconf
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%dir %{_sysconfdir}/ax25
%config(noreplace)  %{_sysconfdir}/ax25/axports
%config(noreplace)  %{_sysconfdir}/ax25/nrports
%config(noreplace)  %{_sysconfdir}/ax25/rsports
%{_libdir}/*.so.*
%{_mandir}/man5/*.5*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*.3*

%files static
%{_libdir}/*.a

%changelog
* Sat Jun 27 2009 Ralf Baechle <ralf@linux-mips.org>
- Initial version
